 function [aPLV] = PLVddFast(PLV2,MatrixMean)
 %% PLC down dimension function

[L,F] = size(PLV2);                 %Get the size of the PLV
phase = angle(hilbert(MatrixMean)); %Get the theta phase
phase = repmat(phase,1,F);          
Center = (L-1)/2; 

%% find the central cycle
test = abs(phase(:,1));
[~,lo]  = findpeaks(-test);
[~,ID(1)] = min(abs(lo-Center));    t(1) = lo(ID(1));  lo(ID(1)) = [];
[~,ID(2)] = min(abs(lo-Center));	t(2) = lo(ID(2));  

%% Find the theta cycle
troughrange = [min(t) Center max(t)];             %0-pi--pi-0 
troughrangepipi = troughrange(1):troughrange(3); 

%% get the averaged PLV
PLVFullcycle = PLV2(troughrangepipi,:);
aPLV = mean(PLVFullcycle,1);