function [frange,PLVinter,dP,P1,P2] = Synchrony_vector_Fast_Whiten(data1,data2,Fs)

% data1/data2 is one channel of LFP, row is every time point
% Fs is sampling frequency, e.g. 1000(Hz)

%% wavelet parameter. see detail in wavelet functions
DT  = 1/Fs;
pad = 1;
DJ  = 0.1;      
S0  = 2*DT;
L = length(data1);
%% Define a function range need, 3Hz-100Hz.
[ ~,PERIOD,~] = wavelet(data1(1:2000,1),DT,pad,DJ,S0);f = 1./PERIOD;
[~,f_up] = min(abs(f(:)-105));[~,f_low] = min(abs(f(:)-3));
frange = f(f_up:f_low);

%% smallize the data
data1 = single(data1);
data2 = single(data2);

%% Wavelet transform
[WAVE1,~,~] = wavelet(data1,DT,pad,DJ,S0); 
[WAVE2,~,~] = wavelet(data2,DT,pad,DJ,S0); 

%% Instaneous Power calculation
P1 = abs(WAVE1(f_up:f_low,:)).^2; P1 = P1';P1 = fliplr(P1);   P1 = single(10*log10(P1));
P2 = abs(WAVE1(f_up:f_low,:)).^2; P2 = P2';P2 = fliplr(P2);   P2 = single(10*log10(P2));

%% phase difference calculation
dP = angle(WAVE1(f_up:f_low,:)) -angle(WAVE2(f_up:f_low,:));dP = dP';dP=fliplr(dP); 
PLVinter = exp((-1)^(1/2)*dP);  %Transform to a complex vector
frange = fliplr(frange);