function [ID,MatrixMean,Matrixa] = Trough_find(LFP,Fs,Band)

% input
% the LFP for the identification of the theta trough
% Fs sampleing frquency e.g. 100Hz
% Band: the theta band [7 10],7-10Hz;
% output:
% ID theta trough time ID;
% MatrixMean averaged theta curve;
% Matrixa all theta curve;

LFP = LFP(:,1);
pad = zeros(1000,1);
LFP = [pad;LFP;pad];

%% fileter
high_freq = Band(2);
low_freq  = Band(1);
T = 1:size(LFP,1);

TH = designfilt('highpassiir','FilterOrder',8,'PassbandFrequency',low_freq,'PassbandRipple',0.2,'SampleRate',Fs);
TL = designfilt('lowpassiir','FilterOrder',8,'PassbandFrequency',high_freq,'PassbandRipple',0.2,'SampleRate',Fs);

D  = filtfilt(TH,LFP);D = filtfilt(TL,D);
D = D(1001:end-1000);
%% hilbert transform
H  = hilbert(D); 
Hi = imag(H);
Hr = real(H);
HA = abs(H);
PD = angle(H);
[~,ID] = findpeaks(PD,'MinPeakHeight',3.0);

ID(:,2)=1;
% IDhigh = find(HA(ID(:,1))>0.03);
% ID = ID(IDhigh,:);


% ID2 = find(HA(ID(:,1))<0.01);
% ID(ID2,:)=[];

%% averaged theta wave
Matrix = [];k=1;
for i = 1:size(ID,1)
    try
        Matrix(:,k)=D(ID(i)-Fs:ID(i)+Fs);
        k=k+1;
    catch;end
end
MatrixMean = mean(Matrix,2);
%% all theta wave
Matrixa = zeros([2*Fs+1,size(ID,1)]);
for i = 1:size(ID,1)
    try
        Matrixa(:,i)=D(ID(i)-Fs:ID(i)+Fs);
    catch;end
end

