% This is to calculated the power and the synchrony between two LFPs
% LFP row is every time point, column is each channal
% Fs is sampling frequency, e.g. 1000(Hz)

L = length(data1); % the length of the data

%% A wavelet analysis
[P.fp,P.PLVinter,~,P1,P2] = Synchrony_vector_Fast_Whiten(LFP(:,1),LFP(:,2),Fs);

%% Overall Power calulation
P1overall = mean(P1,1);%Overall power for 1st channel
P2overall = mean(P2,1);%Overall power for 2nd channel

%% Power calulation with a moving window
movingwin = [2 0.2];% window definition, 2s window and 0.2s step
winID = 0.5*movingwin(1)*Fs+1:movingwin(2)*Fs:L-movingwin(1)*Fs*0.5+1;%windowID 
tp = (winID-1)/Fs; %time;
P1win = zeros(size(ID,2),size(frange,2));
P2win = zeros(size(ID,2),size(frange,2));
for i = 1:size(ID,2)
     P1win(i,:) = mean(P1(ID(i)-0.5*Fs*movingwin(1):ID(i)+0.5*Fs*movingwin(1)-1,:),1);
     P2win(i,:) = mean(P2(ID(i)-0.5*Fs*movingwin(1):ID(i)+0.5*Fs*movingwin(1)-1,:),1);
end

%% Estimate the overall sychrony by method1
PLVmethod1 = single(abs(mean(P.PLVinter,1)));

%% Estimate the overall synchrony by method2, theta aligned.
[ID,~,ThetaEventM] = Trough_find(LFP(:,Ca),Fs,[7 10]); %identify the theta trough
ID = ID(ID>2000 & ID<length(LFP)-2000); %first 2s and last 2s theta trough was needless.
PLV1 = zeros(1001,length(P.fp));
for j = 1:size(ID,1) %all complex vector of phase difference was added
    TimeNow = ID(j);
    PLV1 = PLV1+P.PLVinter(TimeNow-500:TimeNow+500,:);
end

ThetaEvent  = mean(ThetaEventM(500:1500,:),2); %the averaged theta curve
PLV1 = PLV1/size(ID,1);PLV1 = single(abs(PLV1)); % vector average
aPLV= PLVddFast(PLV1,ThetaEvent);
PLVmethod2 = aPLV';
PLVmethod2spectrogram  = PLV1;

%% Estimate the synchrony by method2 with a moving window, theta aligned.
Time = tp;
PLVwin = [2 0.2];
TID = 0;
aPLV = zeros(length(Time),52);

for i = 1:length(Time)
    TIDtem = find(ID>Fs*(Time(i)-0.5*PLVwin) & ID<Fs*(Time(i)+0.5*PLVwin));
    if sum(TIDtem) == sum(TID)
        aPLV(i,:) = aPLV(i-1,:);
    else
        TID = TIDtem;
        try
            PLV1 = zeros(2*Fs+1,length(P.fp),size(TID,1));
            for j = 1:size(TID,1)
                PLV1(:,:,j) = P.PLVinter(ID(TID(j))-1*Fs:ID(TID(j))+1*Fs,:);
            end
            PLV = abs(mean(PLV1,3));
            ThetaEvent  = mean(ThetaEventM(:,TID),2);
            [aPLV(i,:)] = PLVdd(PLV,ThetaEvent);
        catch
        end
    end
end

%% Power modulation index calculation
fcounte = 1;fcounts = 1;
FrequencyRange = 2:0.5:20;
for f = FrequencyRange
    %% Raw Modulation index
    [ID,~,ThetaEventM] = Trough_find(LFP(:,1),Fs,[f-1 f+1]);ID = ID(ID>2000 & ID<length(LFP)-2000);
    Pow1 = zeros(1001,length(P.fp));
    for j = 1:size(ID,1)
        TimeNow = ID(j);Pow1 = Pow1+P1(TimeNow-500:TimeNow+500,:);
    end
    ThetaEvent  = mean(ThetaEventM(500:1500,:),2);
    Pow1 = Pow1/size(ID,1);Pow1 = single(abs(Pow1));
    MIexperPow(fcounte,:)= PLVddFast(Pow1,ThetaEvent);
    fcounte = fcounte+1;
    %% surogate Control for Normalize
    Pows = zeros(1001,length(P.fp));
    MIsurroPow = zeros(25,52);
    for s = 1:25
        for j = 1:size(ID,1)
            TimeNow = ID(j);shift = floor(1000*rand(1)); TimeShift = TimeNow + shift;
            Pows = Pows+P1(TimeShift-500:TimeShift+500,:);
        end
        Pows = single(abs(Pows/size(ID,1)));
        MIsurroPow(s,:)= PLVddFast(Pows,ThetaEvent);
    end
    MIsurroPowMean(fcounts,:) = mean(MIsurroPow,1);MIsurroPowStd(fcounts,:) = std(MIsurroPow,1);
    fcounts = fcounts+1;
end
MINorPow1 = MIexperPow./MIsurroPowMean;
MINorPow2 = MIexperPow- MIsurroPowMean;

